Package org.springframework.security.cas.jackson2

# Class CasJackson2Module

java.lang.Object
com.fasterxml.jackson.databind.Module
com.fasterxml.jackson.databind.module.SimpleModule
org.springframework.security.cas.jackson2.CasJackson2Module

All Implemented Interfaces:
  `com.fasterxml.jackson.core.Versioned`, `Serializable`

public class CasJackson2Module extends com.fasterxml.jackson.databind.module.SimpleModule
Jackson module for spring-security-cas. This module register `AssertionImplMixin`, `AttributePrincipalImplMixin` and `CasAuthenticationTokenMixin`. If no default typing enabled by default then it'll enable it because typing info is needed to properly serialize/deserialize objects. In order to use this module just add this module into your ObjectMapper configuration.

         ObjectMapper mapper = new ObjectMapper();
         mapper.registerModule(new CasJackson2Module());

Note: use `SecurityJackson2Modules.getModules(ClassLoader)` to get list of all security modules on the classpath.

Since:
  4.2
See Also:
  - `SecurityJackson2Modules`
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.Module

`com.fasterxml.jackson.databind.Module.SetupContext`

## Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.module.SimpleModule

`_abstractTypes, _deserializerModifier, _deserializers, _hasExplicitName, _keyDeserializers, _keySerializers, _mixins, _name, _namingStrategy, _serializerModifier, _serializers, _subtypes, _valueInstantiators, _version`

## Constructor Summary

Constructors
Constructor
Description
`CasJackson2Module()`

## Method Summary

Modifier and Type
Method
Description
`void`
`setupModule(com.fasterxml.jackson.databind.Module.SetupContext context)`

### Methods inherited from class com.fasterxml.jackson.databind.module.SimpleModule

`_checkNotNull, addAbstractTypeMapping, addDeserializer, addKeyDeserializer, addKeySerializer, addSerializer, addSerializer, addValueInstantiator, getModuleName, getTypeId, registerSubtypes, registerSubtypes, registerSubtypes, setAbstractTypes, setDeserializerModifier, setDeserializers, setKeyDeserializers, setKeySerializers, setMixInAnnotation, setNamingStrategy, setSerializerModifier, setSerializers, setValueInstantiators, version`

### Methods inherited from class com.fasterxml.jackson.databind.Module

`getDependencies`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CasJackson2Module

public CasJackson2Module()

## Method Details

### setupModule

public void setupModule(com.fasterxml.jackson.databind.Module.SetupContext context)

Overrides:
  `setupModule` in class `com.fasterxml.jackson.databind.module.SimpleModule`